<div class="modal-dialog">    
  <!-- Modal content-->
  <div class="modal-content">
    <div class="modal-header">
      <h4 class="modal-title">Edit Food</h4>
      <button type="button" class="close" data-dismiss="modal">&times;</button>  
    </div>

  <div class="modal-body">
    <form  action="/editFoodModal" method="get" role="form">
    {{ form.csrf }}
    <div class="form-group" id="editFoodForm">
      <label for="foodName">*Name:</label>
      <input type="text" class="form-control" id="name" name="name">{{foodName}}

      <br>
      <label for="city">City:</label>
      <br>
      <div class="btn-group">
        <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
          <span class="caret" id="selectedCity">{{radioValue}}</span>
        </button>
        <br>
          <ul class="dropdown-menu">
          {% for country in countries %}
            {% if country.name == activeCountry %}
              {% for city in country.cities %}
              <li>
                <label class="dropdown-menu-item radio">
                  <input type="radio" name="radioValue" value="{{city.name}}"/>
                    {{city.name}}
                </label>
              </li>
              {% endfor %}
            {%endif%}
          {% endfor %}
            <li>
              <button class="btn btn-link dropdown-menu-item">
                Add city
              </button>
            </li>
          </ul>
      </div>
      <br>
      <label for="address">Address:</label> 
      <input type="text" class="form-control" id="address" name="address">
      <br>
      <label for="mealType">Meal Type:</label>
      <select name="mealType" class="form-control" id="mealType">
        <option value="undecided">Undecided</option>
        <option value="breakfast">Breakfast</option>
        <option value="lunch">Lunch</option>
        <option value="dinner">Dinner</option>
        <option value="dessert">Dessert</option>
        <option value="snack">Snack</option>
        <option value="drinks">Cafe</option>
      </select>
      <br>
      <label for="interestLevel">Interest Level (1-5):</label>
      <div class="slidecontainer">
        <input id="range" type="range" name="interestLevel" min="1" step="1" max="5" value="3" class="white" onchange="updateTextInput(this.value);" onchange="updateTextInput(this.value);" oninput="amount.value=interestLevel.value">
        <p id="value2">Won't be heartbroken if I didn't go</p>
      </div>
      <br>
      <label for="foodNotes">Notes:</label>
      <br>
      <textarea id="foodNotes" rows="5" cols="50" name="foodNotes"></textarea>
    </div>
    <button type="submit" class="btn btn-success" onclick="openAddressModal()">Update</button>
    </form>  
 </div>
 <div class="modal-footer">
    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
  </div>
</div>

<script>
function updateTextInput() {
  var value1 = Number(document.getElementById("range").value);
  var value2 = "";

  if ( value1 === 1 ) {
    value2 = "Meh";
    //range = value1;
  }
  else if ( value1 === 2 ) {
    value2 = "Would be nice";
    //interestLevel = 2;
  }
  else if ( value1 === 3 ) {
    value2 = "Won't be heartbroken if I didn't go";
    //interestLevel = 3;
  }
  else if ( value1 === 4 ) {
    value2 = "I'd be really sad if I don't go, but I'll survive";
    //interestLevel = 4;
  }
  else if ( value1 === 5 ) {
    value2 = "I MUST GO";
    //interestLevel = 5;
  }

  document.getElementById('value2').innerHTML = value2;  
}

var radios = $("input:radio");
radios.click(function () {
  radios.removeAttr('checked');
  $(this).prop("checked", true);
  
  document.getElementById('selectedCity').innerHTML = $(this).val();
  return true;
});

</script>